summaryrefslogtreecommitdiffstats
path: root/debian/open-infrastructure-compute-tools.postrm
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@open-infrastructure.net>2025-01-26 18:47:14 +0000
committerDaniel Baumann <daniel.baumann@open-infrastructure.net>2025-01-26 18:57:30 +0000
commitedfdf25c2a022dfc0a5c1ca7a2520d3b38ca937f (patch)
treefc2ce4bfc8c10a47dfc4685b3a4fc7d1a54e6309 /debian/open-infrastructure-compute-tools.postrm
parentReleasing version 20240829. (diff)
downloadcompute-tools-edfdf25c2a022dfc0a5c1ca7a2520d3b38ca937f.tar.xz
compute-tools-edfdf25c2a022dfc0a5c1ca7a2520d3b38ca937f.zip
DEBIAN (WIP)
Signed-off-by: Daniel Baumann <daniel.baumann@open-infrastructure.net>
Diffstat (limited to 'debian/open-infrastructure-compute-tools.postrm')
-rwxr-xr-xdebian/open-infrastructure-compute-tools.postrm57
1 files changed, 57 insertions, 0 deletions
diff --git a/debian/open-infrastructure-compute-tools.postrm b/debian/open-infrastructure-compute-tools.postrm
new file mode 100755
index 0000000..6724b94
--- /dev/null
+++ b/debian/open-infrastructure-compute-tools.postrm
@@ -0,0 +1,57 @@
+#!/bin/sh
+
+set -e
+
+Remove ()
+{
+ DEFAULT="${1}"
+
+ if [ -h "${DEFAULT}" ]
+ then
+ TARGET="$(readlink -f ${DEFAULT})"
+ else
+ TARGET=""
+ fi
+
+ for ITEM in ${DEFAULT} ${TARGET}
+ do
+ if dpkg-statoverride --list "${ITEM}" > /dev/null 2>&1
+ then
+ dpkg-statoverride --quiet --remove "${ITEM}"
+ fi
+
+ rmdir --ignore-fail-on-non-empty --parents ${ITEM} > /dev/null 2>&1 || true
+
+ rm -f ${ITEM} > /dev/null 2>&1 || true
+ rmdir --ignore-fail-on-non-empty --parents $(dirname ${ITEM}) > /dev/null 2>&1 || true
+ done
+}
+
+case "${1}" in
+ remove)
+ Remove /var/cache/container
+ Remove /etc/compute-tools/debconf
+ Remove /etc/compute-tools/config
+ Remove /etc/compute-tools/hooks
+ Remove /etc/compute-tools/keys
+ Remove /etc/needrestart/restart.d
+ Remove /var/lib/machines
+ ;;
+
+ purge)
+ rm -f /etc/compute-tools/container.conf
+ ;;
+
+ upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+
+ ;;
+
+ *)
+ echo "postrm called with unknown argument \`${1}'" >&2
+ exit 1
+ ;;
+esac
+
+#DEBHELPER#
+
+exit 0